#193 line numbers not reported for some problems

Need_for_debugging
closed-fixed
7
2005-07-24
2005-07-15
Steve Jenson
No

FIXED
This is Chris Hibbert. SourceForge won't let me log in.

When there's a syntax error during an emaker import,
(mismatched parens, undeclared vars, assign to readonly
var, etc.) the problem is reported, but no line number
is given. Sometimes they can be hard to find. The same
thing happens at run time for errors like
NoSuchMethodException and ClassCastException.

def bookMaker := <import:makeBook>
? # problem: May not assign to readonly variable
'probLimit'
#
# <import:*>.get("makeMarketOrder")
# <import:*>.get("makeMarketOrder")
# <import:*>.get("makeBook")
# <import:*>.get("makeBook")
# e`def bookMaker :any :=
import__uriGetter.get("makeBook")`.eval(<an OuterScope>)
# *** @
<jar:file:/Volumes/space/Stuff/E-mac-ppc-0.8.23d/e.jar!/org/erights/e/elang/cmd/cmdMakerMaker.emaker#:span::75:25::75:28>

Followups

Comment Date By
As of 0.8.24h, this works both for syntax errors per se
(like mismatched parens), and for those
syntax-error-like static errors Chris enumerates below:
undeclared vars and assignments to final vars. Although
line number reporting at runtime is still spotty, since
this bug report is about static errors, I'm closing
it. 2003-Dec-31 23:59 markm

Discussion

  • Steve Jenson
    Steve Jenson
    2005-07-18

    • status: open --> closed-fixed
     
    • assigned_to: nobody --> caplet